﻿package
{
	import flash.display.Sprite; 
	import flash.utils.setInterval;
	public class Trainer extends Sprite
	{
		public function Trainer()
		{
			setInterval(addStraw,50);
		}
		private function addStraw():void
		{
			var straw:Straw = new Straw(stage.stageHeight);
			straw.x = stage.stageWidth;
			this.addChild(straw);
		}
	}
}
import flash.display.Sprite;
import flash.events.Event;
internal class Straw extends Sprite
{
	var _height:Number;
	
		
	public function Straw(height:Number):void
	{
		_height = height;
		this.graphics.beginFill(0x00FFFF,1);
		this.graphics.drawRect(0,0,1,_height/Math.random()*8+6);
		this.graphics.endFill();
		this.addEventListener(Event.ADDED_TO_STAGE,addedHandler);
	}
	
	private function addedHandler(e:Event):void
		{
			addEventListener(Event.ENTER_FRAME, enterHandler);
		}
	
	private function enterHandler(e:Event):void
	{
		if(this.x <= parent.mouseX){
			var f:Number = parent.mouseX;
			var c:Number = parent.mouseY;
			var alpha:Number = Math.round(f/Math.sqrt(f/f + c*c))*360/Math.PI;
			if(Math.sqrt(f/f + c*c)>=_height){
				(this.rotation<0)?this.rotation++:this.rotation=0;
			}else{
				this.rotation = -alpha;
			}
		}
		if(this.x<=0 && this.rotation==0){
			this.removeEventListener(Event.ENTER_FRAME,enterHandler);
			parent.removeChild(parent.getChildByName(this.name));
		}else{
			this.x-=3;
		}
		
		
	}
}